### mongoscope.connect(seed, opts)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Point at a difference instance, only replacing the token object
so all of your event listeners remain intact.

#### Parameters

- `seed` (required, String) 
- `opts` (optional, Object) ... 
    - `scope` (String) ... Where mongoscope-server is running default `http://localhost:29017`
    - `seed` (String) ... Hostport of mongodb instance default `localhost:27017`
    - `auth` (Object) ... Auth spec default `{}`


### mongoscope.instance()

![production](http://b.repl.ca/v1/stability-production-green.png)

Get details of the instance you're currently connected to
like database_names, results of the hostInfo and buildInfo mongo commands.
### mongoscope.deployments()

![production](http://b.repl.ca/v1/stability-production-green.png)

List all deployments this mongoscope instance has connected to.

### mongoscope.database(name)

![production](http://b.repl.ca/v1/stability-production-green.png)

List collection names and stats.

#### Parameters

- `name` (required, String) 

### mongoscope.collection(ns)

![production](http://b.repl.ca/v1/stability-production-green.png)

Collection stats

#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`

### mongoscope.operation(_id)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

A currently running operation.

#### Parameters

- `_id` (required, Number) 

### mongoscope.index(ns, name)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Index details

#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`
- `name` (required, String) ... The index name

### mongoscope.document(ns, _id)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Work with a single document.
#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`
- `_id` (required, String) 

### mongoscope.tunnel()

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Open an ssh tunnel to securely connect to a remote host.

### mongoscope.sharding(opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Get the sharding info for the cluster the instance you're connected
to is a member of, similar to the `printShardingStatus()` helper function
in the mongo shell.

#### Examples

- [Sharding Report](http://codepen.io/imlucas/pen/JgzAh)

#### Parameters

- `opts` (optional, Object) ... Placeholder for future options
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.replication(opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

View current state of all members and oplog details.
#### Parameters

- `opts` (optional, Object) ... Placeholder for future options
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.oplog(opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Get oplog entries.

#### Parameters

- `opts` (optional, Object) 
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.top(opts, fn)

![production](http://b.repl.ca/v1/stability-production-green.png)

Capture the deltas of top over `opts.interval` ms.

#### Parameters

- `opts` (optional, Object) ... Placeholder for future options
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.log(opts, fn)

![production](http://b.repl.ca/v1/stability-production-green.png)

A structured view of the ramlog.

#### Parameters

- `opts` (optional, Object) ... Placeholder for future options
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.analytics(group, opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Get or stream a group of analytics, which can be any of one
durability, operations, memory, replication, network or indexes.

#### Parameters

- `group` (required, String) 
- `opts` (optional, Object) ... Placeholder for future options
- `fn` (optional, Function) ... A response callback `(err, data)`

### mongoscope.ops(opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

List currently running operations.

#### Parameters

- `opts` (optional, Object) ... Placeholder for future options
- `fn` (optional, Function) ... A response callback `(err, data)`

### mongoscope.find(ns, opts, fn)

![production](http://b.repl.ca/v1/stability-production-green.png)

Run a query on `db.collection`.

#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`
- `opts` (optional, Object) ... Placeholder for future options
- `fn` (optional, Function) ... A response callback `(err, data)`

### mongoscope.count(ns, opts, fn)

![production](http://b.repl.ca/v1/stability-production-green.png)

Run a count on `db.collection`.

#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`
- `opts` (optional, Object) 
- `fn` (optional, Function) ... A response callback `(err, data)`

### mongoscope.aggregate(ns, pipeline, opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Run an aggregation pipeline on `db.collection`.

#### Examples

- [Run an aggregation and chart it](http://codepen.io/imlucas/pen/BHvLE)

#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`
- `pipeline` (required, Array) 
- `opts` (optional, Object) 
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.sample(ns, opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Use [resevoir sampling](http://en.wikipedia.org/wiki/Reservoir_sampling) to
get a slice of documents from a collection efficiently.

#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`
- `opts` (optional, Object) 
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.random(ns, opts, fn)

![development](http://b.repl.ca/v1/stability-development-yellow.png)

Convenience to get 1 document via `Client.prototype.sample`.

#### Parameters

- `ns` (required, String) ... A namespace string, eg `#{database_name}.#{collection_name}`
- `opts` (optional, Object) 
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.workingSet(opts, fn)

![prototype](http://b.repl.ca/v1/stability-prototype-orange.png)

Working set size estimator.
#### Parameters

- `opts` (optional, Object) 
- `fn` (required, Function) ... A response callback `(err, data)`

### mongoscope.get(fragment, params, fn)

Route `fragment` to a call on `Client.prototype`, which is substantially
easier for users on the client-side.  More detailled usage is available
in the [backbone.js adapter](/lib/backbone.js).

#### Parameters

- `fragment` (required, String) ... One of `Client.prototype.routes`
- `params` (optional, Object) 
- `fn` (optional, Function) 

### mongoscope.resolve(fragment)

Resolve a client handler with a fragment string.

#### Parameters

- `fragment` (required, String) 

### mongoscope.close(fn)

Disconnect everything.  Done automatically for you on window unload/process
exit if in nodejs.

#### Parameters

- `fn` (optional, Function) ... Optional callback for completely closed.

