var assert = require('assert'),
  helpers = require('./helpers');

describe('Replication', function(){
  var client;

  before(function(done){
    client = helpers.createClient({seed: 'localhost:6000'});
    done();
  });
  after(helpers.after);

  it('should return replication details', function(done){
    client.replication(function(err, res){
      assert.ifError(err);

      assert.equal(res._id, 'replicom');
      assert(Array.isArray(res.members));
      assert(res.oplog);

      done();
    });
  });
  it('should emit membership events');

  describe('Oplog', function(){
    it('should return oplog entries', function(done){
      client.oplog(function(err, res){
        assert.ifError(err);
        console.log('oplog', res);

        done();
      });
    });
    it('should stream oplog entries');
  });
});
